#!/bin/sh

# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5630-A36, 5630-A37, 5724-D18 (C) COPYRIGHT International Business Machines Corp., 1997,2004
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

#
# WebSphere Edge Components Caching Proxy Configuration Wizard Script
# 
# Java 1.4.2 or greater must be installed and located on the system PATH environment variable prior to running this script. 
#

# if -x is given, set -x.
if [ X$1 = X"-x" ]
then
 set -x
fi

RUN_JAVA=""
JAVA_VERSION=""

# ----------------------------------------------------------------------
# Determine host machine OS
# ----------------------------------------------------------------------
UNAME=""
if [ -x /usr/bin/uname ]
then
   UNAME=`/usr/bin/uname | awk ' { print $1 }'`
elif [ -x /bin/uname ]
then
   UNAME=`/bin/uname | awk ' { print $1 }'`
fi
export UNAME


# ----------------------------------------------------------------------
# Locate the Java binary
# ----------------------------------------------------------------------
if [ "X" = "X$JAVA_HOME" ]
then
      which java 2>/dev/null>/dev/null
      RETURNCODE=`echo $?`
      if [ $RETURNCODE -eq 0 ]
      then
         RUN_JAVA=`which java 2>/dev/null` 
      fi
else 
      if [ -x $JAVA_HOME/bin/java ]
      then
          RUN_JAVA=$JAVA_HOME/bin/java
      elif [ -x $JAVA/jre/bin/java ]
      then
          RUN_JAVA=$JAVA_HOME/jre/bin/java
      fi
fi

if [ "X" = "X$RUN_JAVA" ]
then
         echo "        Error: java 1.4.2 is not found. Please install Java 1.4.2 or higher and set JAVA_HOME."
         exit
fi


# ----------------------------------------------------------------------
# Locate the Java binary
# ----------------------------------------------------------------------
JAVA_VERSION=`java -version 2>&1 | head -1 | awk -F\" '{
         split($2, tmpA, ".");
         if (tmpA[1]*100+tmpA[2]*10+tmpA[3] < 142)
            print "YES";
         else
            print "NO";
         }'`
if [ "$JAVA_VERSION" = "YES" ]
then
            echo "        Error: java is found. However the version is not 1.4.2.  Please install Java 1.4.2 or higher and set JAVA_HOME."
            exit
fi

# ----------------------------------------------------------------------
# Run the wizard program
# ----------------------------------------------------------------------
cd /opt/ibm/edge/cp/cpwizard 
$RUN_JAVA -cp /opt/ibm/edge/cp/cpwizard/cpwizard.jar com.ibm.websphere.edge.wizard.CPWizard
